org.eclipse.microprofile.openapi.annotations.servers

## Annotation Type ServerVariable

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface ServerVariable

An object representing a Server Variable for server URL template substitution.

See Also:
  ServerVariable Object

### Required Element Summary

Required Elements
`String` `defaultValue` The default value of this server variable.
`String` `name` The name of this server variable.

### Optional Element Summary

Optional Elements
`String` `description` An optional description for the server variable.
`String[]` `enumeration` An array of enum values for this variable.

### Element Detail

#### name

    public abstract String name

The name of this server variable. This is a REQUIRED property.

Returns:
  the name of the server variable

#### defaultValue

    public abstract String defaultValue

The default value of this server variable. This is a REQUIRED property.

Returns:
  the defualt value of this server variable

#### enumeration

    public abstract String[] enumeration

An array of enum values for this variable. This field maps to the enum property in the OAS schema and to enumeration field of ServerVariable model.

Returns:
  array of possible values for this ServerVariable

Default:
  {}

#### description

    public abstract String description

An optional description for the server variable. CommonMark syntax can be used for rich text representation.

Returns:
  the description of this server variable

Default:
  ""